## org.apache.poi.ss.usermodel
Interface DataFormat

All Known Implementing Classes:
  HSSFDataFormat, XSSFDataFormat

    public interface DataFormat

Method Summary
`java.lang.String` `getFormat(short index)` get the format string that matches the given format index
`short` `getFormat(java.lang.String format)` get the format index that matches the given format string.

Method Detail

### getFormat

    short getFormat(java.lang.String format)

  get the format index that matches the given format string. Creates a new format if one is not found. Aliases text to the proper format.

  Parameters:
    `format` - string matching a built in format
  Returns:
    index of format.

### getFormat

    java.lang.String getFormat(short index)

  get the format string that matches the given format index

  Parameters:
    `index` - of a format
  Returns:
    string represented at index of format or null if there is not a format at that index

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.